Summary: Desktop configuration files
Name: TheNextLevel
Version: 1.1
Release: 3
Copyright: distributable
Group: X11/Window Managers
Source0: TheNextLevel-0.1.tar.gz
Source1: mini-redhat.xpm
Patch0: TheNextLevel-0.1-redhat.patch
Requires: m4 fvwm95

%description
The Next Level desktop was created by Greg J. Badros and was the winning
entry in the 1996 Red Hat Desktop Contest.  It features a powerful and
attractive fvwm configuration that works with both fvwm95 and fvwm2.
Lots of documentation is available in /usr/doc/TheNextLevel in html
format.

This desktop is defined to be easily reconfigured. Most attributes may
be redefined by copying /etc/X11/TheNextLevel/.fvwm2rc.defines to a user's
home directory and modifying the copied file appropriately.

%prep
%setup -n The_Next_Level-files

rm -f *.orig .*.orig
%patch0 -p1

%install

# we don't want these to end up in /etc and doing this in after %prep
# makes it easier to build patches
rm -f .*.orig

rm -rf /etc/X11/TheNextLevel
rm -rf /usr/lib/TheNextLevel
rm -rf /usr/doc/TheNextLevel
./Install.sh
install -m644 $RPM_SOURCE_DIR/mini-redhat.xpm /usr/lib/TheNextLevel/pixmaps

%changelog

* Wed Mar 19 1997 Erik Troan <ewt@redhat.com>

- Moved all of the Red Hat patches into a single patch to preserve my sanity
- Made title icons work properly
- Made ClickToFocus the default
- Added easy way to enable interactive placement
- Added a define to control starting an initial web browser
- The .defines file now contains *only* defines. Added .defaults file to
  facilitate this.
- Let the user define how many desktops are used
- Only open one xterm on startup

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>

- Switched to use Win95 style buttons as they fit much better
- Fixed awk script to correctly parse new xlock --help format

%files
%doc DESKTOP FILES INSTALL README Sample.Xmodmap
/usr/lib/TheNextLevel
/usr/doc/TheNextLevel
%dir /etc/X11/TheNextLevel
%config /etc/X11/TheNextLevel/.fvwm2rc
%config /etc/X11/TheNextLevel/.fvwm2rc.buttondefs
%config /etc/X11/TheNextLevel/.fvwm2rc.buttons
%config /etc/X11/TheNextLevel/.fvwm2rc.defines
%config /etc/X11/TheNextLevel/.fvwm2rc.forms
%config /etc/X11/TheNextLevel/.fvwm2rc.functions
%config /etc/X11/TheNextLevel/.fvwm2rc.hostmenus
%config /etc/X11/TheNextLevel/.fvwm2rc.init
%config /etc/X11/TheNextLevel/.fvwm2rc.keys
%config /etc/X11/TheNextLevel/.fvwm2rc.m4
%config /etc/X11/TheNextLevel/.fvwm2rc.menus
%config /etc/X11/TheNextLevel/.fvwm2rc.modules
%config /etc/X11/TheNextLevel/.fvwm2rc.mouse
%config /etc/X11/TheNextLevel/.fvwm2rc.programs
